%define api_version 2.0
%define lib_major 0
%define lib_name        %mklibname zvt %{api_version} %{lib_major}

Summary:  ZVT - Zed's Virtual Terminal
Name:    libzvt
Version: 2.0.1
Release: 11mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/%{name}-%{version}.tar.bz2
# patch to make utf-8 mode the default if the locale is utf-8 -- pablo
Patch0:	libzvt-2.0.0-utf8.patch.bz2
# patch that adds the i18n improvements from libzvt-i18n CVS branch
# to remove once that branch is merged in standard sources -- pablo
Patch1: libzvt-2.0.1-i18n.patch.bz2
# (fc) 2.0.1-6mdk enforce pty helper path in all execl parameters
Patch2: libzvt-2.0.1-ptyhelper.patch.bz2
# (gb) 2.0.1-7mdk add missing includes
Patch3: libzvt-2.0.1-includes.patch.bz2
# (gb) 2.0.1-8mdk handle biarch struct utmp
Patch4: libzvt-2.0.1-biarch-utmp.patch.bz2
License: LGPL
URL: http://www.gnome.org/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: gtk+2-devel
BuildRequires: art_lgpl-devel
BuildRequires: automake1.4

%description
ZVT - Zed's Virtual Terminal


%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name}%{api_version} = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}

%description -n %{lib_name}
ZVT - Zed's Virtual Terminal

%package -n %{lib_name}-devel
Summary:	Static libraries, include files for libzvt
Group:		Development/GNOME and GTK+
Provides:	zvt-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires: libgtk+2.0-devel
Requires: art_lgpl-devel

%description -n %{lib_name}-devel
ZVT - Zed's Virtual Terminal

%prep
%setup -q
%patch0 -p1 -b .utf8_patch
%patch1 -p1 -b .i18n_branch
%patch2 -p1 -b .ptyhelper
%patch3 -p1 -b .includes
%patch4 -p1 -b .biarch-utmp

#needed by patch 1
aclocal-1.4
automake-1.4

%build
# Define _GNU_SOURCE so that updwtmpx() prototype is known
CFLAGS="%optflags -D_GNU_SOURCE" \
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}
%postun -p /sbin/ldconfig -n %{lib_name}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/%{name}-%{api_version}

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*

%changelog
* Fri Jul 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.1-11mdk
- use mklibname
- fix provides on x86_64
- fix build on x86_64 (aka fix requires) 

* Mon Aug 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-10mdk
- rebuild

* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.1-9mdk
- rebuild

* Tue Apr  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.1-8mdk
- Patch4: Handle biarch struct utmp

* Sat Nov 16 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.1-7mdk
- Patch3: Add missing includes. Aka. make gnome-terminal work on x86-64.

* Fri Sep  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-6mdk
- Update i18n patch to fix bugs #82083 and #85052
- Patch2: set gnome-pty-helper full path in all execl parameters

* Tue Aug 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-5mdk
- Update i18n patch to fix bugs 90816 & 90818 (scrolling and cursor problems)

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-4mdk
- Update i18n patch to fix crashes when closing window

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-3mdk
- Upgrade i18n patch to fix the "grid" rendering bug
- Compress patches

* Fri Aug 02 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0.1-2.i18n.mdk
- merged with the i18n improvements from libzvt-i18n, in order to have a
  gnome-terminal with proper i18n support

* Tue Jun 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Mon Jun 24 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0.0-2mdk
- Patch0: utf-8 enabled by default if locale is utf-8

* Thu Jun 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0
- Merge main package in lib package, pty-helper in now in a libified directory

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99999.0-1mdk
- Release 1.99999.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.0-1mdk
- Release 1.117.0

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.115.2-1mdk
- Release 1.115.2

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.114.0-1mdk
- Release 1.114.0

* Tue Mar 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.113.0-1mdk
- Initial Mdk package


# end of file
